Bug 117223 - Unix::Users check should not count dialout user from 'w' command
Summary: Unix::Users check should not count dialout user from 'w' command
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other   
(Show other bugs)
Version: rhn360
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Orazi
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-01 19:50 UTC by Nick Hansen
Modified: 2008-10-16 19:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 19:15:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nick Hansen 2004-03-01 19:50:24 UTC
From email:

Upon further inspection, this isn't something to worry about.  It's
the new 'getty' for serial ports, which is modem-aware.  The instance
that shows up in 'w' output is the one watching for logins on the
serial console.  Creating a login session is new behavior, but it's
doing the same thing it's always done.

We should probably adjust the Users check to ignore that user (i.e.
any user executing 'mgetty').

                                	-=< Dave >=-



Original message follows:
-------------------------

>> Date:  Fri, 27 Feb 2004 12:56:18 -0500
>> From:  Nick Hansen <nhansen@redhat.com>
>> Subject:  Re: [Fwd: Postini NP4 goes berserk]


>> Daves,
>> 
>> Neil was asking me about the Users check that is showing 1 logged 
>> in user on the scout mentioned below. I'm not sure what this 
>> means but when I spuersputted over to the box, here is what I saw 
>> when I ran the 'w' command (which is what we use to report the # 
>> of users):
>> 
>> [nocops@zebra nocops]$ supersputsh cmdcl10395
>> Connecting to cmdcl10395 ...
>> Connected to cmdcl10395.  Use ':help' for help.
>> root@cmdcl10395[/tmp].0>  w
>>    5:48pm  up  7:18,  1 user,  load average: 1.08, 0.99, 1.10
>> USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU  WHAT
>> dialout  ttyS0    /sbin/mgetty     11:31am  7:18m  0.00s  0.00s 
>> mgetty

Comment 1 Stephen Herr 2008-10-16 19:15:26 UTC
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.


Note You need to log in before you can comment on or make changes to this bug.